Skip to content

List CPMS

Request

Return the list of CPMS for the given tenant

Security
bearerToken
Path
tenantstringrequired
curl -i -X GET \
  'https://docs.exolink.com/_mock/apis/exolink_api/tenant/{tenant}/cpms' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of CPMS

Bodyapplication/json
Array [
idinteger

Unique identifier for the CPMS backend

Example:1
tenantIdinteger

ID of the tenant that owns this CPMS backend

Example:1
displayNamestring

User-friendly name for the CPMS backend

Example:"My Charger"
urlstring

WebSocket URL endpoint for the CPMS backend connection

Example:"ws://cpms.exolink.com"
authPassThroughboolean

Indicates whether authentication credentials are passed through to the CPMS backend

Example:true
intervalnumber

Heartbeat or connection check interval in seconds

Example:30
createdAtstring

Timestamp when the CPMS backend record was created

Example:"2025-10-15T15:19:50.834Z"
updatedAtstring

Timestamp when the CPMS backend record was last updated

Example:"2025-10-15T15:19:50.834Z"
deletedAtstring

Timestamp when the CPMS backend record was soft-deleted (null if active)

Example:"2025-10-15T15:19:50.834Z"
]
Response
{ "$ref": "#/components/examples/CPMSList" }